Subject: bug#24845: 24.5; out-of-date text in (elisp) `Autoload'?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Nov 2016 17:51:48 +0200

> From: [email-masked]
> Date: Tue, 01 Nov 2016 21:13:48 -0400
> Cc: [email-masked]
> 
> Drew Adams <[email-masked]> writes:
> 
> > I see this in that node:
> >
> >   Other definition types:
> >      defcustom, defgroup, defclass (*note EIEIO: (eieio)Top.), and
> >      define-skeleton (see the commentary in skeleton.el).
> >                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >
> > But I do not see anything appropriate in the commentary in
> > `skeleton.el'.  What is this all about?
> 
> The reference to skeleton.el's commentary was introduced in bc44be50 "*
> loading.texi (Autoload): Explicitly state which forms are processed
> specially.", there is no additional commentary in skeleton.el regarding
> autoloading in that revision either.  I think it's just intended to be
> an explanation of what `define-skeleton' is.

Indeed, that's also my impression.

> Perhaps a better link would be `(autotype) Skeleton Language', similar
> to how defclass has a link to eieio.

I think we should link to "Using Skeletons", or maybe even to "Top" in
that manual, since the cross-reference is meant for those readers who
don't know what skeletons are.

Thanks.